Skip to main content
`Ctrl`+`K`

# TSMonitorSolution

Monitors progress of the `TS` solvers by `VecView()` for the solution at each timestep. Normally the viewer is a binary file or a `PetscDraw` object

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorSolution(TS ts, PetscInt step, PetscReal ptime, Vec u, PetscViewerAndFormat *vf)

Collective

## Input Parameters

- ts - the `TS` context

- step - current time-step

- ptime - current time

- u - current state

- vf - viewer and its format

## Notes

This is not called directly by users, rather one calls `TSMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `TS` integration.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSMonitorSet()`, `TSMonitorDefault()`, `VecView()`, `TSMonitorSolutionSetup()`,

## Level

intermediate

## Location

src/ts/interface/tsmon.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages